Package com.explodingpixels.macwidgets

## Class MacUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.MacUtils

    public class MacUtils
    extends java.lang.Object

A collection of utilities related to the Mac.

### Constructor Summary

Constructors
`MacUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `makeWindowLeopardStyle​(javax.swing.JRootPane rootPane)` Makes this window a Unified window on Mac OS X Leopard or greater systems.
`static boolean` `shouldManuallyPaintTexturedWindowBackground()` `true` if the Unified Tool Bar, Preference Tool Bar or Bottom Bar backgrounds should be manually painted in code, rather than letting Mac OS X do the painting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacUtils

    public MacUtils()

### Method Detail

#### makeWindowLeopardStyle

    public static void makeWindowLeopardStyle​(javax.swing.JRootPane rootPane)

Makes this window a Unified window on Mac OS X Leopard or greater systems.

Parameters:
  `rootPane` -

#### shouldManuallyPaintTexturedWindowBackground

    public static boolean shouldManuallyPaintTexturedWindowBackground()

`true` if the Unified Tool Bar, Preference Tool Bar or Bottom Bar backgrounds should be manually painted in code, rather than letting Mac OS X do the painting. This will always return true on platforms other than Mac, and will sometimes return true on Mac's due to painting bugs in the Java distrobution.